Partner
/partner/users/{id}/memberships
Replace a portfolio user's child-team access in bulk: listed teams are upserted with the given role (admin | user), unlisted child-team memberships are removed. The partner-tenant membership itself and owner-role memberships are never touched.
Required scope: partner-memberships:manage
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
memberships*
Replace semantics across the partner CHILD teams: listed teams are upserted with the given role, unlisted child-team memberships are removed. The partner-tenant membership itself and owner-role memberships are never touched.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.vrplatform.app/partner/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/memberships" \ -H "Content-Type: application/json" \ -d '{ "memberships": [ { "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "role": "admin" } ] }'{
"data": [
{
"teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
"teamName": "string",
"role": "string",
"status": "string"
}
]
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}